Package org.eclipse.birt.report.model.api.validators

# Class ValueRequiredValidator

java.lang.Object
org.eclipse.birt.report.model.validators.AbstractSemanticValidator
org.eclipse.birt.report.model.validators.AbstractPropertyValidator
org.eclipse.birt.report.model.api.validators.ValueRequiredValidator

public class ValueRequiredValidator extends org.eclipse.birt.report.model.validators.AbstractPropertyValidator
Validates the property value is required.

### Rule

The rule is that the value should be provided for one required property.

### Applicability

This validator is only applied to the required properties of `DesignElement`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAME`
Name of this validator

### Fields inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator

`modules, name`

## Constructor Summary

Constructors
Constructor
Description
`ValueRequiredValidator()`

## Method Summary

Modifier and Type
Method
Description
`static ValueRequiredValidator`
`getInstance()`
Returns the singleton validator instance.
`List<SemanticException>`
`validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element, String propName)`
Validates whether value is set for the given required property.

### Methods inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator

`canApplyToDesign, canApplyToLibrary, getName, isInTemplateParameterDefinitionSlot, setModules, setName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAME

public static final String NAME
Name of this validator

See Also:
  - Constant Field Values

## Constructor Details

### ValueRequiredValidator

public ValueRequiredValidator()

## Method Details

### getInstance

public static ValueRequiredValidator getInstance()
Returns the singleton validator instance.

Returns:
  the validator instance

### validate

public List<SemanticException> validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element, String propName)
Validates whether value is set for the given required property.

Specified by:
  `validate` in class `org.eclipse.birt.report.model.validators.AbstractPropertyValidator`
Parameters:
  `module` - the module
  `element` - the element holding this required property
  `propName` - the name of the property to validate
Returns:
  error list, each of which is the instance of `SemanticException`.